
QGIS Application - Bug report #16594

WFS crashing QGIS on 2.18.8

2017-05-22 11:43 AM - Mauchain Louis

Status: Closed

Priority: High

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:2.18.8 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 24496

Description

I,

with a recent update --> Qgis 2.18.8 on ubuntu 16.04.02 with debian depots

When i want open a wfs via the windows wfs, my qgis crash with a core dumped error in the terminal...

Thanks

Related issues:

Related to QGIS Application - Bug report # 16680: Layers Panel: adding a laye... Closed 2017-06-07

Duplicates QGIS Application - Bug report # 16593: Segmentation fault when imp... Closed 2017-05-22

Duplicated by QGIS Application - Bug report # 16629: Crash when adding WFS layer Closed 2017-05-27

Associated revisions

Revision 403dc35d - 2017-05-22 09:43 PM - Jürgen Fischer

don't set friendly name without sublayers (followup e0a2267; fixes #16593, #16594, #16598)

Revision b5cd5ee8 - 2017-05-22 09:49 PM - Jürgen Fischer

don't set friendly name without sublayers (followup e0a2267; fixes #16593, #16594, #16598)

(cherry picked from commit 403dc35dac30499c3954b732e4e8a642bfd475d8)

History

#1 - 2017-05-22 12:13 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Status changed from Open to Feedback

Any service?

#2 - 2017-05-22 05:10 PM - Giovanni Manghi

- Operating System deleted (ubuntu 16.04.02)

- Affected QGIS version changed from master to 2.18.8

- Priority changed from Normal to High
- Status changed from Feedback to Open

- Category changed from Actions to Web Services clients/WFS

#3 - 2017-05-22 05:13 PM - Giovanni Manghi

- Subject changed from error wfs core dumped to WFS crashing QGIS on 2.18.8

#4 - 2017-05-22 09:46 PM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|403dc35dac30499c3954b732e4e8a642bfd475d8.

#5 - 2017-05-24 07:04 PM - Jürgen Fischer

- Duplicates Bug report #16593: Segmentation fault when importing CSV file with coordinates added

#6 - 2017-05-27 12:38 PM - Jürgen Fischer

- Duplicated by Bug report #16629: Crash when adding WFS layer added

#7 - 2017-06-09 08:07 AM - Jürgen Fischer

- Related to Bug report #16680: Layers Panel: adding a layer doesn't simply show its name added
